import { strapi } from '@strapi/client'

export default {
    install: (app) => {
        const client = strapi({
            baseURL: `${import.meta.env.VITE_STRAPI_URL}/api`,
            auth: import.meta.env.VITE_STRAPI_API_TOKEN,
        })

        // Also provide
        app.provide('strapi', client)
    },
}
